GMOクラウド iCLUSTAでPHPバージョンアップした時のエラー



GMOクラウドのiCLUSTA(アイクラスタ)レンタルサーバーでWordPressを運用しています。

先日PHPのバージョン7.2のリリースしたとお知らせがきました。(現行バージョン5.6)

WordPressの最新バージョンでの動作要件はPHP7.2以上ということもあり、PHPのバージョンを7.2にすることにしました。

バージョンアップ自体は簡単で、アイクラスタのサーバーコントロールパネル「プランマネージャ」のウェブコントロール>PHP設定からプルダウンでバージョン選択します。

その要領で5.6から7.2へ切り替えて変更。

サイトを確認してみると、

「データベースに接続されていません」

的なメッセージが。

何だろうとしばらく確認してみると、どうやらPHP7.2にバージョンアップすると、Mysqlデータベースのパスワードを再設定しなくてはならないようです。

データベースのパスワード再設定は同じくプランマネージャのユーティリティ>データベース設定から。

パスワード再設定し、wp-config.phpにも新しいパスワードを設定したところ、無事表示されるようになりPHPバージョンアップもできました。

今回PHP7.2に変更するとデータベースパスワードの再設定が必要な旨の記載がサーバー側には見当たらなかったので少し時間を要しました。この辺の告知もあったほうが親切だったな

iCLUSTA+ PlanManagerマニュアル PHP設定https://help.gmocloud.com/app/answers/detail/a_id/2964/kw/PHP7.2/p/7

シェアする

  • このエントリーをはてなブックマークに追加

フォローする